
import 'package:json_annotation/json_annotation.dart';

import 'lesson_data.dart';
part 'lesson_model.g.dart';

@JsonSerializable()
class LessonModel {
  List<Data>? data;
  Mess? mess;

  LessonModel({this.data, this.mess});

  factory LessonModel.fromJson(Map<String, dynamic> json) => _$LessonModelFromJson(json);

  Map<String, dynamic> toJson() => _$LessonModelToJson(this);
}


class Mess {
  int? code;
  String? description;

  Mess({this.code, this.description});

  Mess.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    description = json['description'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    data['description'] = this.description;
    return data;
  }
}
